php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #31585 error configuring PHP 5.0.3 on Tru64
Submitted: 2005-01-17 18:16 UTC Modified: 2005-01-26 17:21 UTC
From: caa at rincon dot com Assigned:
Status: Not a bug Package: DBM/DBA related
PHP Version: 5CVS-2005-01-24 OS: Tru64 V4.0F
Private report: No CVE-ID: None
 [2005-01-17 18:16 UTC] caa at rincon dot com
Description:
------------
I am upgrading our PHP to 5.0.3.  Looking forward to using the new exception handling features!  I get an error during the configure command:

./configure \
		--prefix=/apps/php-5.0.3 \
		--with-apache=../apache_1.3.31 \
		--with-config-file=/apps/apache/conf \
		--with-oci8=/apps/oracle/product/9.2.0 \
		--with-gdbm \
		--with-xml \
		--disable-libxml \
		--enable-track-vars \
		--enable-ftp \
		--enable-force-cgi-redirect \
		--enable-memory-limit=yes
...
checking whether to enable DBA... no
checking for QDBM support... no
configure: error: DBA: Could not find necessary header file(s).

I have tried this configuration on several systems.  It works well on Redhat, but fails under Tru64.  Here are two of the configurations that failed with identical errors:

OS: Tru64 V5.1A
Apache: 1.3.31
PHP: 5.0.3
Oracle: 9.2.0.4

OS: Tru64 V4.0F
Apache: 1.3.31
PHP: 5.0.3
Oracle: 8.1.7.4 (different --with-oci8 path)

I have searched the 5.0.3 bugs list, the Internet, and posted on the mailing list.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2005-01-26 04:27 UTC] sniper@php.net
Where exactly is gdbm.h file in your system..?

 [2005-01-26 16:33 UTC] caa at rincon dot com
That is my error!  We switched from ndbm to gdbm on Linux systems with newer PHP versions.  I had not upgraded our Tru64 systems since then.  Sorry for the trouble.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Wed Mar 20 03:01:26 2019 UTC